module ram_tb;
reg  rstn;
reg  clk;
reg clkx2;

initial begin
	$sdf_annotate("I2C_HiSPI2Parallel_I2C_HiSPI2Parallel_vo.sdf");
   rstn = 0;
   clk = 0;
   clkx2 = 0;
   #110;
   rstn = 1;
end

always #10 clk = ~ clk;
always #5 clkx2 = ~ clkx2;
wire sdr_clk, sdr_CSn, sdr_WEn;
wire [1:0] sdr_BA;
wire [11:0] sdr_A;
wire [15:0] sdr_DQ;	
	
sdr_wrap U1(.clk(clk), .clkx2(clkx2), .clkx2deg45(clkx2),.rst_n(rstn),.D_Sensor_1_In(),.D_Sensor_2_In(),.FV(),.LV(),.D_Sensor_Out(),.sdr_DQ(sdr_DQ),.sdr_A(sdr_A),.sdr_BA(sdr_BA),.sdr_CKE(),.sdr_CSn(sdr_CSn), .sdr_RASn(), .sdr_CASn(),.sdr_WEn(sdr_WEn),.sdr_DQM(),.sdr_clk(sdr_clk));
	
	
RamChip U2(.Address({sdr_BA,sdr_A}), .Data(sdr_DQ), .CLK(sdr_clk), .CS(sdr_CSn), .WE(sdr_WEn));	  

endmodule